List customers
Retrieve a paginated list of customers with filtering and sorting
GET
/
admin
/
api
/
v1
/
accounts
/
customers
List customers
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/accounts/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/accounts/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"account_type": "individual",
"sub_type": "company",
"name": "TechNova Solutions Pvt. Ltd.",
"email": "technova@example.com",
"phone": "1234567890",
"mobile": "1234567890",
"avatar": "company-logos/01JRA5TEK5HTHJAYXSDBZRJF8B.png",
"avatar_url": "https://erp.arukz.com/storage/company-logos/01JRA5TEK5HTHJAYXSDBZRJF8B.png",
"job_title": null,
"website": "https://www.technovasolutions.com",
"tax_id": "TNS123456",
"company_registry": "TN-20251234",
"reference": null,
"is_active": true,
"color": "#AAAAAA",
"street1": "1234 Silicon Street",
"street2": "Tech Park",
"city": "New York",
"zip": "10001",
"country_id": 233,
"state_id": 35,
"parent_id": null,
"title_id": null,
"company_id": 1,
"industry_id": null,
"user_id": null,
"creator_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-08T07:46:16.000000Z",
"deleted_at": null,
"country": {
"id": 233,
"name": "United States",
"code": "US",
"phone_code": "1",
"state_required": true,
"zip_required": true,
"currency_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"state": {
"id": 35,
"name": "New York",
"code": "NY",
"country_id": 233,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"message_bounce": null,
"supplier_rank": 0,
"customer_rank": 0,
"invoice_warning": null,
"autopost_bills": null,
"credit_limit": null,
"ignore_abnormal_invoice_date": null,
"ignore_abnormal_invoice_amount": null,
"invoice_sending_method": null,
"invoice_edi_format_store": null,
"trust": null,
"invoice_warn_msg": null,
"debit_limit": null,
"peppol_endpoint": null,
"peppol_eas": null,
"sale_warn": null,
"comment": null,
"sale_warn_msg": null,
"property_account_payable_id": null,
"property_account_receivable_id": null,
"property_account_position_id": null,
"property_payment_term_id": null,
"property_supplier_payment_term_id": null,
"property_outbound_payment_method_line_id": null,
"property_inbound_payment_method_line_id": null
},
{
"id": 1,
"account_type": "individual",
"sub_type": "company",
"name": "TechNova Solutions Pvt. Ltd.",
"email": "technova@example.com",
"phone": "1234567890",
"mobile": "1234567890",
"avatar": "company-logos/01JRA5TEK5HTHJAYXSDBZRJF8B.png",
"avatar_url": "https://erp.arukz.com/storage/company-logos/01JRA5TEK5HTHJAYXSDBZRJF8B.png",
"job_title": null,
"website": "https://www.technovasolutions.com",
"tax_id": "TNS123456",
"company_registry": "TN-20251234",
"reference": null,
"is_active": true,
"color": "#AAAAAA",
"street1": "1234 Silicon Street",
"street2": "Tech Park",
"city": "New York",
"zip": "10001",
"country_id": 233,
"state_id": 35,
"parent_id": null,
"title_id": null,
"company_id": 1,
"industry_id": null,
"user_id": null,
"creator_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-08T07:46:16.000000Z",
"deleted_at": null,
"country": {
"id": 233,
"name": "United States",
"code": "US",
"phone_code": "1",
"state_required": true,
"zip_required": true,
"currency_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"state": {
"id": 35,
"name": "New York",
"code": "NY",
"country_id": 233,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"message_bounce": null,
"supplier_rank": 0,
"customer_rank": 0,
"invoice_warning": null,
"autopost_bills": null,
"credit_limit": null,
"ignore_abnormal_invoice_date": null,
"ignore_abnormal_invoice_amount": null,
"invoice_sending_method": null,
"invoice_edi_format_store": null,
"trust": null,
"invoice_warn_msg": null,
"debit_limit": null,
"peppol_endpoint": null,
"peppol_eas": null,
"sale_warn": null,
"comment": null,
"sale_warn_msg": null,
"property_account_payable_id": null,
"property_account_receivable_id": null,
"property_account_position_id": null,
"property_payment_term_id": null,
"property_supplier_payment_term_id": null,
"property_outbound_payment_method_line_id": null,
"property_inbound_payment_method_line_id": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Comma-separated list of relationships to include.
Available options: parent, country, state, title, company, industry, user, creator, addresses, contacts, bankAccounts, tags, propertyAccountPayable, propertyAccountReceivable, propertyAccountPosition, propertyPaymentTerm, propertySupplierPaymentTerm, propertyOutboundPaymentMethodLine, propertyInboundPaymentMethodLine
Example:
"propertyAccountReceivable,propertyPaymentTerm"
Response
Success
⌘I
List customers
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/accounts/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/accounts/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"account_type": "individual",
"sub_type": "company",
"name": "TechNova Solutions Pvt. Ltd.",
"email": "technova@example.com",
"phone": "1234567890",
"mobile": "1234567890",
"avatar": "company-logos/01JRA5TEK5HTHJAYXSDBZRJF8B.png",
"avatar_url": "https://erp.arukz.com/storage/company-logos/01JRA5TEK5HTHJAYXSDBZRJF8B.png",
"job_title": null,
"website": "https://www.technovasolutions.com",
"tax_id": "TNS123456",
"company_registry": "TN-20251234",
"reference": null,
"is_active": true,
"color": "#AAAAAA",
"street1": "1234 Silicon Street",
"street2": "Tech Park",
"city": "New York",
"zip": "10001",
"country_id": 233,
"state_id": 35,
"parent_id": null,
"title_id": null,
"company_id": 1,
"industry_id": null,
"user_id": null,
"creator_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-08T07:46:16.000000Z",
"deleted_at": null,
"country": {
"id": 233,
"name": "United States",
"code": "US",
"phone_code": "1",
"state_required": true,
"zip_required": true,
"currency_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"state": {
"id": 35,
"name": "New York",
"code": "NY",
"country_id": 233,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"message_bounce": null,
"supplier_rank": 0,
"customer_rank": 0,
"invoice_warning": null,
"autopost_bills": null,
"credit_limit": null,
"ignore_abnormal_invoice_date": null,
"ignore_abnormal_invoice_amount": null,
"invoice_sending_method": null,
"invoice_edi_format_store": null,
"trust": null,
"invoice_warn_msg": null,
"debit_limit": null,
"peppol_endpoint": null,
"peppol_eas": null,
"sale_warn": null,
"comment": null,
"sale_warn_msg": null,
"property_account_payable_id": null,
"property_account_receivable_id": null,
"property_account_position_id": null,
"property_payment_term_id": null,
"property_supplier_payment_term_id": null,
"property_outbound_payment_method_line_id": null,
"property_inbound_payment_method_line_id": null
},
{
"id": 1,
"account_type": "individual",
"sub_type": "company",
"name": "TechNova Solutions Pvt. Ltd.",
"email": "technova@example.com",
"phone": "1234567890",
"mobile": "1234567890",
"avatar": "company-logos/01JRA5TEK5HTHJAYXSDBZRJF8B.png",
"avatar_url": "https://erp.arukz.com/storage/company-logos/01JRA5TEK5HTHJAYXSDBZRJF8B.png",
"job_title": null,
"website": "https://www.technovasolutions.com",
"tax_id": "TNS123456",
"company_registry": "TN-20251234",
"reference": null,
"is_active": true,
"color": "#AAAAAA",
"street1": "1234 Silicon Street",
"street2": "Tech Park",
"city": "New York",
"zip": "10001",
"country_id": 233,
"state_id": 35,
"parent_id": null,
"title_id": null,
"company_id": 1,
"industry_id": null,
"user_id": null,
"creator_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-08T07:46:16.000000Z",
"deleted_at": null,
"country": {
"id": 233,
"name": "United States",
"code": "US",
"phone_code": "1",
"state_required": true,
"zip_required": true,
"currency_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"state": {
"id": 35,
"name": "New York",
"code": "NY",
"country_id": 233,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"message_bounce": null,
"supplier_rank": 0,
"customer_rank": 0,
"invoice_warning": null,
"autopost_bills": null,
"credit_limit": null,
"ignore_abnormal_invoice_date": null,
"ignore_abnormal_invoice_amount": null,
"invoice_sending_method": null,
"invoice_edi_format_store": null,
"trust": null,
"invoice_warn_msg": null,
"debit_limit": null,
"peppol_endpoint": null,
"peppol_eas": null,
"sale_warn": null,
"comment": null,
"sale_warn_msg": null,
"property_account_payable_id": null,
"property_account_receivable_id": null,
"property_account_position_id": null,
"property_payment_term_id": null,
"property_supplier_payment_term_id": null,
"property_outbound_payment_method_line_id": null,
"property_inbound_payment_method_line_id": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}